Subject: Madison park marshmallow bathroom rug
From: Emily H <[email-masked]>
To: [email-masked]
Date: Fri, 25 Apr 2025 09:41:31 -0400

I purchased the Madison park marshmallow bathroom rug on amazon in
September 2024. It is absolute junk- it was a really nice rug when I first
got it. But after actually using it as a rug to stand on and step out of
the shower on, it is terrible quality. I have washed this rug weekly, it is
matted down and does not go back to its cushiony state even after being
washed.  It is impossible to remove lint from it, even being washed. I am
extremely disgusted by the performance of such a high quality rug. I will
include a photo of my rug. I would like to be refunded for this terrible
rug that I paid almost $30 for!

Emily Heckman